# nng_stat_timestamp(3) Manual Page

## NAME

nng_stat_timestamp - get statistic timestamp

## SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;

    uint64_t nng_stat_timestamp(nng_stat *stat);

## DESCRIPTION

The `nng_stat_timestamp()` function returns the a timestamp, which is measured as a number of milliseconds since some arbitrary value in the past.

Even within the same snapshot, statistics might have different timestamp values, as the timestamp represents the time when that particular statistic was captured.

| These values are intended to facilitate calculation of rates, by comparing values from one snapshot with a subsequent one.

| The values used here have the same offset as the `nng_clock()` supplemental function. This can be useful when converting these values to local clock time.

## RETURN VALUES

The timestamp when stat was captured, measured as a number of milliseconds since some time in the past.

## ERRORS

None.

## SEE ALSO

libnng(3), nng_stats_get(3), nng_stat_value(3), nng_clock(3supp), nng_stat(5), nng(7)